*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

body{
    background:#f5f5f5;
}

/*=========================
HEADER
=========================*/

header{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:80px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:0 70px;

    background:#07111f;
    z-index:1000;
}

.logo img{
    height:45px;
}

nav{
    display:flex;
    gap:50px;
    align-items: center;
}

nav a{
    text-decoration:none;
    color:#ffffff;
    font-weight:500;
 /* font-size:15px; */
    transition:.3s;

}

nav a:hover{ 
    color:#00b4f0;
}


nav a.cliente-mobile:hover{
    opacity:1;
    color:#fff;
}

.acciones{
    display:flex;
    align-items:center;
    gap:20px;
}

.buscar{
    border:none;
    background:transparent;
    font-size:28px;
    cursor:pointer;
}

.cliente-mobile{

    background:#00b4f0;

    color:#fff;

    padding:15px 35px;

    border-radius:40px;

    font-size:16px;

    font-weight:600;

    text-decoration:none;

    display:flex;

    align-items:center;

    gap:10px;

}

/*=========================
HERO
=========================*/

.hero {
    position: relative;
    min-height: 100vh;

    background: url("img/fnd1.jpg") center center / cover no-repeat;

    display: flex;
    align-items: center;
    justify-content: center;

    padding-top: 90px;
}

.overlay{

    position:absolute;
    inset:0;

    background:rgba(0,0,0,.45);

}

.contenido{

    position:relative;

    width:90%;
    max-width:1500px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    gap:60px;

    z-index:10;

}

/*=========================
TEXTO
=========================*/

.texto{

    color:white;
    width:55%;

}

.texto h5{

    font-size:34px;
    margin-bottom:15px;
    font-weight:600;

}

.texto h1{

    font-size:72px;
    line-height:1.05;
    margin-bottom:25px;
    font-weight:800;

}

.texto p{

    font-size:22px;
    margin-bottom:40px;

}

.btn{

    display:inline-block;

    background:#00b4f0;

    color:#000;

    text-decoration:none;

    padding:22px 55px;

    border-radius:50px;

    font-size:22px;

    font-weight:700;

    transition:.3s;

}

.btn:hover{

    transform:translateY(-4px);

}

/*=========================
FORMULARIO
=========================*/

.formulario {
    width: 460px;

    background: rgba(30,30,30,.92);
    border-radius: 30px;
    padding: 35px;

    color: white;
    backdrop-filter: blur(10px);

    max-height: calc(100vh - 120px);
    overflow-y: auto;
}

.formulario h2{

    font-size:40px;
    margin-bottom:10px;
    font-weight:800;

}

.formulario p{

    margin-bottom:25px;
    color:#ddd;

}

.formulario input{

    width:100%;

    height:60px;

    border:none;

    border-radius:10px;

    margin-bottom:18px;

    padding:0 20px;

    font-size:18px;

}

.tabs{

    display:flex;

    margin-bottom:20px;

    overflow:hidden;

    border-radius:40px;

}

.tabs button{

    flex:1;

    height:58px;

    border:none;

    font-size:18px;

    cursor:pointer;

    background:#8d8d8d;

    color:white;

}

.tabs .activo{

    background:#f8c600;

    color:black;

}

.fila{

    display:flex;
    gap:12px;

}

.fila input:first-child{

    width:35%;

}

.fila input:last-child{

    width:65%;

}

.check{

    display:flex;

    align-items:center;

    gap:10px;

    margin:20px 0;

    font-size:15px;

}

.check input{

    width:18px;
    height:18px;
    margin:0;

}

.amarillo{

    width:100%;

    height:65px;

    border:none;

    background:#00b4f0;

    border-radius:40px;

    font-size:24px;

    font-weight:700;

    cursor:pointer;

    margin-bottom:18px;

}

.verde{

    width:100%;

    height:65px;

    border:none;

    background:#24d366;

    color:white;

    border-radius:40px;

    font-size:22px;

    font-weight:700;

    cursor:pointer;

}

.amarillo:hover,
.verde:hover{

    opacity:.9;

}


.link-politica {
    color: #00b4f0;
    font-weight: 600;

}

/*=========================
RESPONSIVE
=========================*/

/*==================================
HAMBURGUESA
==================================*/

.hamburguesa{
    display:none;
    font-size:32px;
    cursor:pointer;
    color:#ffffff;
}

/*==================================
TELÉFONO
==================================*/

.telefono{
    display:flex;
    gap:10px;
}

.telefono select{
    width:200px;
    height:60px;
    border:none;
    border-radius:10px;
    padding:0 15px;
    font-size:16px;
    outline:none;
}

.telefono input{
   /* flex:1;
    height:60px;*/
    border:none;
    border-radius:10px;
    padding:0 15px;
    font-size:18px;
    outline:none;
}

/*==================================
TABLETS
==================================*/

@media(max-width:1100px){

    .contenido{
        flex-direction:column;
        text-align:center;
        padding:40px 0;
    }

    .texto{
        width:100%;
    }

    .texto h1{
        font-size:55px;
    }

    .formulario{
        width:100%;
        max-width:520px;
    }

}

/*==================================
CELULARES
==================================*/

@media(max-width:900px){

    header{
        height:80px;
        padding:0 20px;
        position:fixed;
    }

    .hamburguesa{
        display:block;
        font-size:30px;
        z-index:1001;
    }

    nav{

        position:absolute;
        top:80px;
        left:0;

        width:100%;

        background:#07111f;

        display:none;
        flex-direction:column;
        align-items:center;

        gap:25px;

        padding:30px 0;

        box-shadow:0 8px 20px rgba(0,0,0,.15);

    }

    nav.active{
        display:flex;
    }

    .acciones{
        display:none;
    }

    .hero{
        padding:140px 20px 60px;
    }

    .contenido{
        flex-direction:column;
        gap:40px;
    }

    .texto{
        width:100%;
    }

    .texto h5{
        font-size:24px;
    }

    .texto h1{
        font-size:42px;
    }

    .texto p{
        font-size:18px;
    }

    .btn{
        padding:18px 35px;
        font-size:18px;
    }

    .formulario{
        width:100%;
        padding:25px;
    }

    .formulario h2{
        font-size:30px;
    }

    .telefono{
        flex-direction:column;
    }

    .telefono select{
        width:100%;
    }

}

/*==================================
CELULARES PEQUEÑOS
==================================*/

@media(max-width:480px){

    header{
        padding:0 15px;
    }

    .logo img{
        height:35px;
    }

    .texto h1{
        font-size:34px;
    }

    .texto h5{
        font-size:20px;
    }

    .texto p{
        font-size:16px;
    }

    .formulario{
        padding:20px;
    }

    .formulario h2{
        font-size:26px;
    }

    .amarillo,
    .verde{
        font-size:18px;
        height:55px;
    }

}



/*DESLIZANTE DE BOTON TELEFONO*/
.switch{
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    height: 60px;
    background: #555;
    border-radius: 50px;
    overflow: hidden;
    margin-bottom: 20px;
    margin-top: 15px;
}

.switch input{
    display: none;
}

.selector{
    position: absolute;
    top: 4px;
    left: 4px;
    width: calc(50% - 4px);
    height: calc(100% - 8px);
    background: #00b4f0;
    border-radius: 50px;
    transition: .35s ease;
    z-index: 1;
}

.switch label{
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    font-weight: 600;
    color: white;
    z-index: 2;
    transition: color .3s;
}

/* Mover el selector */
#telefono:checked ~ .selector{
    transform: translateX(100%);
}

/* Color del texto */
#celular:checked ~ label[for="celular"]{
    color: #000;
}

#telefono:checked ~ label[for="telefono"]{
    color: #000;
}



/* ===========================
 FOOTER
=========================== */


footer{

    background:var(--dark);
    color:white;
    padding:60px 5% 20px;
    background: #07111f;

}



.footer-grid{

    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;

}



.footer-grid img{

    width:150px;

}



.footer-grid a{

    display:block;
    margin:10px 0;
    color:#ccc;

}



.footer-bottom{

    border-top:1px solid #333;
    margin-top:40px;
    padding-top:20px;
    text-align:center;

}



.social{

    font-size:25px;
    margin-bottom:20px;

}



.social i{

    margin:0 10px;

}


.social a{
    color:white;
    text-decoration:none;
}
 


/* ===========================
RESPONSIVE
=========================== */

@media (max-width:900px){

    .footer-grid{
        display:grid;
        grid-template-columns:repeat(2, 1fr);
        gap:30px;
        align-items:start;
    }

    .footer-grid img{
        width:120px;
        margin-bottom:15px;
    }

    .footer-bottom{
        text-align:center;
    }

    .social{
        display:flex;
        justify-content:center;
        gap:20px;
    }

    .social i{
        margin:0;
    }

}

.footer-grid a{
    display:block;
    margin:10px 0;
    color:#ccc;

    word-break: break-word;
    overflow-wrap: break-word;
}





/*==================================
FORMULARIO DE ALARMAS - CONTACTO
==================================*/

.contacto .formulario{

    width:100%;
    background:rgba(30,30,30,.95);
    border-radius:30px;
    padding:35px;
    color:#fff;
    backdrop-filter:blur(10px);

}

.contacto .formulario h2{

    font-size:40px;
    margin-bottom:10px;
    font-weight:800;

}

.contacto .formulario p{

    color:#ddd;
    margin-bottom:25px;

}

.contacto .formulario input{

    width:100%;
    height:60px;
    border:none;
    border-radius:10px;
    margin-bottom:18px;
    padding:0 20px;
    font-size:18px;
    outline:none;
    color: #000000;

}



.servicios {
    width: 100%;
    margin-bottom: 20px;
    background: #292929;
}

.titulo-servicios {
    display: block;
    margin-bottom: 12px;
    font-weight: 600;
    color: #ffffff;
    background: #282828;
}

.servicios-grid {
    display: grid;
    grid-template-columns: repeat(1, minmax(0, 1fr));
    gap: 10px;

    max-height: 240px;
    overflow-y: auto;
    overflow-x: hidden;

    padding: 5px;
    box-sizing: border-box;
}



.servicio-item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 13px 15px;
    border: 1px solid #ddd;
    border-radius: 12px;
    background: #fff;
    cursor: pointer;
    transition: all 0.2s ease;
    font-size: 14px;
    color: #000 !important;
}

.servicio-item span:not(.servicio-icono) {
    color: #000 !important;
}

.servicio-item:hover {
    border-color: #f2c400;
    transform: translateY(-1px);
}

.servicio-item input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.servicio-icono {
    font-size: 20px;
}

.servicio-item:has(input:checked) {
    border-color: #f2c400;
    background: #fffbea;
    box-shadow: 0 0 0 2px rgba(242, 196, 0, 0.12);
}

.servicio-item:has(input:checked)::after {
    content: "✓";
    margin-left: auto;
    font-weight: bold;
    color: #d4a900;
}
